################################################################################
##
## Subversion file information - please do not edit this block
## $Rev: 882 $
## $Date: 2011-01-10 09:06:33 +0100 (Mon, 10 Jan 2011) $
## $Author: nash $
## $Id: split5.R 882 2011-01-10 08:06:33Z nash $
##
################################################################################

split5 <-
function(births, exps) {
 if (nrow(births) == 0) return(births)
 if (births$Lexis[births$AgeInt!=1][1]=='VV') {Lexis='VV'}
 else {Lexis='RR'}
# birthsRes=births[births$Lexis=='TL' | births$Lexis=='TU',]
 birthsRes=births[births$AgeInt==1,]
 births=aggregateLexis.births1(births,Lexis=Lexis)

 births$AgeInt[births$AgeInt==100]=max(births$Age+5,55)-births$Age[births$AgeInt==100];
 agei=births$AgeInt;
 agei[agei<0]=max(12,births$Age[births$AgeInt<0]) - 11;
 brate5=agei*births$Births/exps.aggregate.age(exps, births$Age, births$AgeInt, Lexis=Lexis);
 cbrate5=cumsum(brate5);
 n=length(cbrate5);
 pbrate5=cbrate5[1:(n-1)]/cbrate5[n];
 Fx5=log(pbrate5/(1-pbrate5));
 Fx5[Fx5==Inf]=max(Fx5[Fx5!=Inf & Fx5!=-Inf],12);
 Fx5=c(Fx5,max(Fx5+1,12))

# Fx5[Fx5==Inf]=20;
 Fx5[Fx5==-Inf]=-20;
 age5=c(births$Age[births$AgeInt<0]+1,births$Age[births$AgeInt>0]+births$AgeInt[births$AgeInt>0]);
# if (min(age5)>15) {age5=c(15,age5); Fx5=c(-12,Fx5);}
 if (min(age5)>12) {age5=c(12,age5); Fx5=c(-20,Fx5);}
 if (max(age5)<60) {age5=c(age5,60); Fx5=c(Fx5,max(Fx5,12));}
# if (max(age5)<60) {age5=c(age5,60); Fx5=c(Fx5,20);}
 age=min(age5):max(age5);
 Fx=interp1(age5, Fx5, age,'pchip');
 cbrate=cbrate5[n]*exp(Fx)/(1+exp(Fx));
 brate=diff(cbrate);
 age=age[1:length(age)-1];
 agei=0*age+1;
 agei[1]=-1;
 Births=brate*exps.aggregate.age(exps, age, agei, Lexis=Lexis);

 dtaRes=data.frame(matrix(NA,length(Births),19));
 names(dtaRes)<-c('PopName','Area','Year','YearReg','Age','AgeInt','Lexis','BirthOrder',
                  'OrderInt','PrevBirth','DurInt','Vital','Births','Access','Note1','Note2','Note3','RefCode','LDB');
 dtaRes$PopName=births$PopName[1];
 dtaRes$Area=births$Area[1];
 dtaRes$Year=births$Year[1];
 dtaRes$YearReg=births$YearReg[1];
 dtaRes$Age=age;
 dtaRes$AgeInt=1;
 dtaRes$Lexis=Lexis;
 dtaRes$BirthOrder=births$BirthOrder[1];
 dtaRes$OrderInt=births$OrderInt[1];
 dtaRes$Vital=births$Vital[1];
 dtaRes$Births=Births;
 dtaRes$Access='O';
 dtaRes$RefCode=99;
 dtaRes$LDB=1;
 if (Lexis=='RR') {
   for (a in unique(birthsRes$Age)) {
     if (dim(birthsRes[birthsRes$Age==a,])[1]>=1) {
        dtaRes$LDB[dtaRes$Age==a]=0;
        }
     }
   }
 if (Lexis=='VV') {
   for (a in unique(birthsRes$Age)) {
     if (dim(birthsRes[(birthsRes$Age==a & birthsRes$Lexis=='TU') | (birthsRes$Age==(a+1) & birthsRes$Lexis=='TL'),])[1]>1) {
        dtaRes$LDB[dtaRes$Age==a]=0;
        }
     if (dim(birthsRes[birthsRes$Age==a & birthsRes$Lexis=='VV',])[1]>=1) {
        dtaRes$LDB[dtaRes$Age==a]=0;
        }
     }
   }

 dtaRes=dtaRes[dtaRes$LDB==1,]   
 dtaRes=rbind(birthsRes,dtaRes)

 return(dtaRes);
}

