################################################################################
##
## Subversion file information - please do not edit this block
## $Rev: 882 $
## $Date: 2011-01-10 09:06:33 +0100 (Mon, 10 Jan 2011) $
## $Author: nash $
## $Id: splitVH.R 882 2011-01-10 08:06:33Z nash $
##
################################################################################

splitVH <-
function(indb) {
## split VH into triangles 50/50
##
## @inputs
## - indb: input database containing VH
## @returns
## - input database with VH replaced by TL/TU, each with half of the VH births

  indbVH <- indb[indb$Lexis == "VH", ]
  indb <- indb[indb$Lexis != "VH", ]

  if (nrow(indbVH) > 0) {
    indbVH$Births <- 0.5 * indbVH$Births
    indbVH$RefCode <- 99
    indbVHTU <- indbVH
    indbVHTU$Lexis <- "TU"
    indbVHTU$Year <- indbVHTU$Year + 1
    indbVH$Lexis <- "TL"
    indbVH <- rbind(indbVH, indbVHTU)
  }
 
  indb <- rbind(indb, indbVH)
  indb <- indb[order(indb$Year, indb$BirthOrder, indb$Age), ]
  return(indb)
}

