%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% Subversion file information - please do not edit this block
%% $Rev: 882 $
%% $Date: 2011-01-10 09:06:33 +0100 (Mon, 10 Jan 2011) $
%% $Author: nash $
%% $Id: splitRR2TLTU.births.Rd 882 2011-01-10 08:06:33Z nash $
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\name{splitRR2TLTU.births}
\alias{splitRR2TLTU.births}
\title{
  Split births recorded by RR proportionally into triangles
}
\description{
  This function identifies records in an inputDB where births are recorded
  both by TL/TU (Lexis triangles) and RR (Lexis rectangles/squares) and splits
  the RR births proportionally between the triangles. This may be necessary e.g. where
  there are some late-registered births recorded in RR and births are otherwise recorded
  in triangles.
}
\usage{
splitRR2TLTU.births(dta)
}
\arguments{
  \item{dta}{
  A data frame representing a HFD input file in internal format.
}
}
\value{
  A modified \code{dta} with births by RR split proportionally and added to triangles where
  appropriate.
}
\author{
  Dmitri Jdanov \email{jdanov@demogr.mpg.de}
}
\seealso{
  \code{\link{splitVH}}, \code{\link{split1.births}} and \code{\link{split5.births}}
  for other splittings.
}
\examples{
\dontrun{
# requires file ESTbirths.txt from the HFD
dta <- indbLoad("ESTbirths.txt")
dta <- subset(dta, Year == 1972)
dta <- splitRR2TLTU.births(dta)
}
}
